	{ Ce schema donne les regles pour la traduction d'une lettre
	en ASCII

	 V. Quint	Septembre 1991 }

TRANSLATION Lettre;

LINELENGTH 78;

BUFFERS
   NomImage(Picture);

COUNTERS
   CptNote: Rank of Note;
   CptImage: Set 0 on Lettre  Add 1 on PICTURE_UNIT;

CONST
   NL = '\12';
   NLNL = '\12\12';
   Espace = ' ';

VAR

   VarNote: '<' Value(CptNote) '>';

RULES

   Lettre :
	BEGIN
	Use ParagraphA for Paragraphe;
	Use RefBibA for RefBib;
        Use DrawT1 for Draw;
        Use TableT for Table;
        Use ArbreT for Arbre;
	Use FichierT for Fichier;
	Get Notes After;
	END;

   Exp\351diteur :
	BEGIN
	Create NLNL Before;
	Create NLNL After;
	END;

   Destinataire :
	BEGIN
	Create NLNL Before;
	Create NLNL After;
	END;

   Date_lettre :
	Create NL;

   D\351but :
        BEGIN
        Create NLNL Before;
        Create NLNL After;
        END;

   Signature :
	Create NLNL Before;

   Ligne_Adresse :
	Create NL;

   Notes :
	Create '\12\12NOTES\12\12';

   Note :
	BEGIN
	Create VarNote;
	Create Espace;
	END;

   Ref_note :
	Create Refered VarNote;

   Exposant :
	BEGIN
	END;

   Indice :
	BEGIN
	END;

   GRAPHICS_UNIT :
	Remove;

   PICTURE_UNIT :
	BEGIN
{****}	Create ('PICTURE_UNIT-' Value(CptImage) NL);
	Create NomImage After;
	Create NL after;
	END;

ATTRIBUTES

   Importance = D\351finition :
	BEGIN
	END;

   Importance = Mot_important :
	BEGIN
	END;

TextTRANSLATE	Latin
	BEGIN
	'\212' -> '\12';
	'\300' -> 'A';
	'\301' -> 'A';
	'\302' -> 'A';
	'\303' -> 'A';
	'\304' -> 'A';
	'\305' -> 'A';
	'\306' -> 'AE';
	'\307' -> 'C';
	'\310' -> 'E';
	'\311' -> 'E';
	'\312' -> 'E';
	'\313' -> 'E';
	'\314' -> 'I';
	'\315' -> 'I';
	'\316' -> 'I';
	'\317' -> 'I';
	'\321' -> 'N';
	'\322' -> 'O';
	'\323' -> 'O';
	'\324' -> 'O';
	'\325' -> 'O';
	'\326' -> 'O';
	'\327' -> 'OE';
	'\330' -> 'O';
	'\331' -> 'U';
	'\332' -> 'U';
	'\333' -> 'U';
	'\334' -> 'U';
	'\335' -> 'Y';
	'\340' -> 'a`';
	'\341' -> 'a''';
	'\342' -> 'a^';
	'\343' -> 'a~';
	'\344' -> 'a"';
	'\345' -> 'a.';
	'\346' -> 'ae';
	'\347' -> 'c,';
	'\350' -> 'e`';
	'\352' -> 'e^';
	'\353' -> 'e"';
	'\356' -> 'i^';
	'\357' -> 'i"';
	'\240' -> ' ';
	'\364' -> 'o^';
	'\367' -> 'oe';
	'\371' -> 'u`';
	'\373' -> 'u^';
	'\374' - > 'u"';
	'\351' -> 'e''';
	END;

END
